Skip to main content
GET
/
v1
/
collections
curl https://api.okrapdf.com/v1/collections \
  -H "Authorization: Bearer okra_YOUR_KEY"

Documentation Index

Fetch the complete documentation index at: https://docs.okrapdf.com/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Returns an array of all collections belonging to the authenticated key, including document counts.

Request

No parameters required.
curl https://api.okrapdf.com/v1/collections \
  -H "Authorization: Bearer okra_YOUR_KEY"

Response (200)

{
  "collections": [
    {
      "id": "col-40da068481cf4f248853507cba6be611",
      "name": "Q4 Earnings",
      "description": "Quarterly earnings reports",
      "visibility": "private",
      "created_at": "2025-01-15T08:30:00Z",
      "document_count": 12
    }
  ]
}